<?php
# Jisko: An open-source microblogging application
# Copyright (C) 2010 Rubén Díaz <outime@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

function doRegisterForm() {
	global $globals;
	global $token;
	$token = $_GET['token'];
	if(!empty($globals['recaptcha_public_key'])) import('recaptchalib');
	if(!empty($globals['recaptcha_public_key'])) echo '<script>var RecaptchaOptions = { theme : \'white\', lang : \''.LANG.'\', };</script>';
	if($token) $token_add = '?token='.$token;
	echo '
<div class="header_title">'.__('Register').'</div>
<form name="register" action="'.BASE.'register'.$token_add.'" method="post">
<p><input name="token" type="hidden" value="'.$token.'" /></p>
<p>'.__('username').'<br /><input name="username" type="text" class="input" value="'.utf8_htmlentities($username).'" tabindex="1"/> </p>
<p style="height:6px"></p>
<p>'.__('e-mail').'<br /><input name="email" type="text" class="input" value="'.utf8_htmlentities($email).'"  tabindex="2"/> </p>
<p style="height:6px"></p>
<div>
<div style="float:right"><p style="margin-right:4px">'.__('password (again)').'<br /><input name="password2" type="password" class="input" value=""  tabindex="4"/> </p></div>
<p>'.__('password').'<br /><input name="password" type="password" class="input" value=""  tabindex="3"/></p>
</div>
<p style="height:6px"></p>
<p>'.__('Language').'<br /><select name="language" id="lang" class="listbox" tabindex="5">';
	
	foreach ($globals['languages'] as $short => $name) {
		echo '<option value="'.$short.'"';
		if(LANG == $short) echo ' selected';
		echo '>'.$name.'</option>';
	}
	echo '</select> </p>';
	
	if(!empty($globals['recaptcha_public_key'])) echo '<p style="height:6px">'.recaptcha_get_html($globals['recaptcha_public_key']);
echo '<br />';
if (defined('TOS') && (TOS == true)) echo '<p><input type="checkbox" name="legal" onclick="document.register.btregister.disabled=!document.register.btregister.disabled" />'.__('I accept the').' <a href="'.BASE.'tos">'.__('privacy and service terms').'</a></p><br />';
echo '<p><input type="submit" name="btregister" value="'.__('Register!').'" class="submit"';
if (defined('TOS') && (TOS == true)) echo ' disabled ';
echo '/></p>
</form>
<div class="separator"></div>';
}

function doLoginForm() {
	// Don't touch the space in __('Register ')!!
	echo '
<div class="login">
	<h1><img src="'.BASE.'static/img/login.png" /></h1>
	<div>
		<form method="post" action="'.BASE.'login">
			<p><input id="ttusername" name="username" type="text" class="input_login" value="'.__('username or e-mail').'" onblur="if(this.value==\'\') this.value=\''.__('username or e-mail').'\';" onfocus="if(this.value==\''.__('username or e-mail').'\') this.value=\'\';" /></p>
			<p><input id="ttpassword" name="password" type="password" class="input_login" value="'.__('password').'" onblur="if(this.value==\'\') this.value=\''.__('password').'\';" onfocus="if(this.value==\''.__('password').'\') this.value=\'\';" /></p>
			<p><input type="submit" name="button" value="'.__('Log In').'" class="submit" id="btlogin" onclick="javascript:startLogin();" /></p>
		</form>
	</div>
	<div class="register_side">
		<div class="register_button"><a href="register">'.__('Register ').'</a></div>
	</div>
	<div>
		<br />
		<p><strong><a href="trouble_login">'.__('Having trouble while logging in?').'</a></strong></p>
	</div>
</div>';
}

function doNoteForm($ajax = true, $upload = false, $note = '') {
	global $_USER;
	if(!$ajax) return doNoteFormSimple($upload, $note);
	echo '
<div class="note_form" id="thenoteform">
<form id="note_form" enctype="multipart/form-data" name="note_form" onsubmit="return false;" action="">
<div class="text_send">
<textarea name="note" class="textarea_notes" onkeypress="return (event.which == 8) || (event.which == 0) || (this.value.length < 140);" onkeydown="count(this.form.note, this.form.remLen, 140);" onkeyup="count(this.form.note, this.form.remLen, 140);" id="ttnote">'.$note.'</textarea>
</div>
<div id="upload_send_two" class="upload_send">
<a href="javascript:doSimpleNoteForm();"> '.__('Attach file').'</a>
</div>
<div class="button_send">
<p><input type="submit" name="button" value="'.__('Send').'" class="submit" id="btsend" /></p>
</div>
<div class="counter_send">
<p><input type="text" class="counter" name="remLen" value="140" readonly="readonly" /></p>
</div>
<p><input type="hidden" name="auth" value="'.md5($_USER['salt']).'" id="hiddenkey" /></p>
</form>
</div>';
	if (defined('ALERT')) echo showStatus(ALERT, 'info');
}

function doNoteFormSimple($upload = false, $note = '') {
	global $_USER;
	echo '
<div class="note_form" id="thenoteform">
<form enctype="multipart/form-data" name="note_form" action="'.BASE.'post" method="post">
<div class="text_send">
<textarea id="notearea" name="note" class="textarea_notes" onkeypress="return (event.which == 8) || (event.which == 0) || (this.value.length < 140);" onkeydown="count(this.form.note, this.form.remLen, 140);" onkeyup="count(this.form.note, this.form.remLen, 140);" id="simplepost">'.$note.'</textarea>
</div>
<div id="upload_send" class="upload_send">
<a href="javascript:showUpload();"> '.__('Attach file').'</a>
</div>
<div class="button_send">
<p><input type="submit" name="button" value="'.__('Send').'" class="submit" id="sendbutton" onclick="javascript:showLoading();" /></p>
</div>
<div class="counter_send">
<p><input type="text" class="counter" name="remLen" value="140" readonly="readonly" /></p>
</div>
<p><input type="hidden" name="auth" value="'.md5($_USER['salt']).'" /></p>
</form>
</div>';
	if($upload) echo '<script type="text/javascript">showUpload();</script>';
}

function doNoteFormMobile() {
	global $_USER;
	if(!$_USER) return;
	echo '<div class="sn" style="line-height:21px;">
	<form action="'.BASE.'post" method="post">
	<p><strong>'. __('Send note').'</strong></p>
	<p><input class="i" type="text" maxlength="140" name="note" style="width:99%;height:30px;margin-left:1px"/><br /></p>
	<p><input type="hidden" name="auth" value="'. md5($_USER['salt']).'" /></p>
	<p><input type="hidden" name="usemobile" value="true" /></p>
	<p><input class="b" type="submit" value="'.__('Send').'" /></p>
	</form>
	</div>';
}

function doNoteFormMobileiPhone() {
	global $_USER;
	if(!$_USER) return;
	echo '<form method="POST" onsubmit="return false" name="subnote">
	<textarea class="i" type="text" name="note" id="ni" onkeypress="count()"></textarea><input type="hidden" name="auth" value="'. md5($_USER['salt']).'" id="au"/>
	<br />
	<input class="b" type="submit" value="'.__('Send').'" onclick="sbmit()"/> <span id="c">'.__('140 remaining characters').'</span>
	</form>';
}

function doProfileTags() {
	echo '<ul class="tags" style="float:right;width:100%"><li><a href="'.BASE.'settings/profile">'.__('Profile').'</a></li><li><a href="'.BASE.'settings/config">'.__('Configuration').'</a></li><li><a href="'.BASE.'settings/customize">'.__('Customize').'</a></li><li><a href="'.BASE.'settings/twitter">'.__('Twitter').'</a></li><li class="right_item"><a href="'.BASE.'settings/ignores">'.__('Ignored users').'</a></li></ul>';
	echo '<br />';
}


function doProfileForm() {
	global $_USER;
	global $globals;
	echo '<h1 class="user" style="font-family:Arial;letter-spacing:-1px">'.__('Profile').'</h1><br />';
	doProfileTags();
	echo '
<br />
<form method="post" action="'.BASE.'settings/profile" enctype="multipart/form-data">
<p>'.__('Name').'<br /><input name="realname" type="text" class="input" value="'.utf8_htmlentities($_USER['realname']).'" /></p>
<div style="float:right">
<p>'.__('Change avatar').'<br /><input name="avatar" class="input" type="file" /></p>
<small>'.__('250 KB max. size, jpg/png/gif format').'</small>
<br /><br /><span style="font-weight:600"><a href="?action=delete_avatar&auth='.md5($_USER['salt']).'">'.__('Delete avatar').'</a></span>
</div>
<p style="height:6px">
<p>'.__('Webpage').'<br /><input name="url" type="text" class="input" value="'.utf8_htmlentities($_USER['url']).'" /> </p>
<p style="height:6px">
<p>'.__('Location').'<br /><input name="location" type="text" class="input" value="'.utf8_htmlentities($_USER['location']).'" /> </p>
<p style="height:6px">
<p>'.__('Bio (140 chars max.)').'<br /><input name="bio" type="text" class="input" value="'.utf8_htmlentities($_USER['bio']).'" maxlength="140"/> </p>
<p style="height:6px">
<p>'.__('Language').'<br /><select name="language" id="lang" class="listbox">';
foreach ($globals['languages'] as $short => $name) {
	echo '<option value="'.$short.'"';
	if($_USER['language'] == $short) echo ' selected';
	echo '>'.$name.'</option>';
}
echo '</select></p>';
echo '
<br />
<p><input type="checkbox" name="show_followers" ';
if($_USER['show_followers'] == '1') echo 'checked ';
echo '/> '.__('Show my followers?').'</p>
<p><input type="checkbox" name="private_profile" ';
if($_USER['private'] == 1) echo 'checked ';
echo '/> '.__('Private profile?').'</p><br />
<p><input type="hidden" name="auth" value="'.md5($_USER['salt']).'" id="hiddenkey" /></p>
<p><input type="submit" value="'.__('Save').'" class="submit" /></p>
</form>';
}

function doConfigurationForm() {
	global $_USER;
	global $globals;
	echo '<h1 class="user" style="font-family:Arial;letter-spacing:-1px">'.__('Configuration').'</h1><br />';
	doProfileTags();
	
	echo '
<br />
<form method="post" action="'.BASE.'settings/config">
<p>'.__('username').' (ID: <b>'.$_USER['ID'].'</b>)<br /><input type="text" class="input" value="'.utf8_htmlentities($_USER['username']).'" readonly tabindex="1"/> </p>
<p style="height:6px">
<div>
<div style="float:right"><p class="second_col">'.__('repeat new password').'<br /><input name="new_password2" type="password" class="input" tabindex="3"/> </p></div>
<p>'.__('new password (if you want to change it)').'<br /><input name="new_password" type="password" class="input" tabindex="2"/> </p>
<p style="height:6px"></p>
</div>
<div>
<div style="float:right"><p class="second_col">'.__('jabber').'<br /><input name="jabber" type="text" class="input" value="'.$_USER['jabber'].'" tabindex="5"/> </p></div>
<p>'.__('e-mail').'<br /><input name="email" type="text" class="input" value="'.$_USER['email'].'" tabindex="4"/> </p>
<p style="height:6px">
</div>
<p>'.__('API key').'<br /><input type="text" class="input" value="'.$_USER['api'].'" readonly tabindex="6"/>  <span style="padding-left:5px;"><input type="checkbox" name="new_api" tabindex="7"/> '.__('Request new API key').'</span></p>
<p style="height:6px">
<p>'.__('Notification level').'<br /><select name="notification_level" id="level" class="listbox" tabindex="8"><option value="3"';
if($_USER['notification_level'] == 3) echo ' selected';
echo '>'.__('Privates and following notices').'</option><option value="2"';
if($_USER['notification_level'] == 2) echo ' selected';
echo '>'.__('Privates').'</option><option value="1"';
if($_USER['notification_level'] == 1) echo ' selected';
echo '>'.__('Following').'</option><option value="0"';
if($_USER['notification_level'] == 0) echo ' selected';
echo '>'.__('None').'</option>
</select> </p>
<br />';
$shorter_service = unserialize($_USER['shorter_service']);
echo '<div style="float:right"><p class="second_col" style="width:256px;margin-top:10px;"><input type="checkbox" name="shorted_preview" tabindex="9"';
if ($shorter_service['preview'] == true) echo ' checked';
echo '/> '.__('Try to always show the preview page of a shorted link').' </p></div>
<p>'.__('URL Shorter service').'<br /><select name="shorter_service" id="shrter_service" class="listbox" tabindex="8">';

$allowed_shorters = array_merge(array(__('Disabled')), $globals['allowed_shorter_services']);

$names = array('xn--ogi.ws' => '➨.ws', 'xn--vgi.ws' => '➯.ws', 'xn--3fi.ws' => '➔.ws', 'xn--egi.ws' => '➞.ws', 'xn--9gi.ws' => '➽.ws', 'xn--5gi.ws' => '➹.ws',
'xn--1ci.ws' => '✩.ws', 'xn--odi.ws' => '✿.ws', 'xn--rei.ws' => '❥.ws', 'xn--cwg.ws' => '›.ws', 'xn--bih.ws' => '⌘.ws', 'xn--fwg.ws' => '‽.ws',
'xn--l3h.ws' => '☁.ws', 'tinyarro' => 'Tinyarro ('.__('random').')');

$shorter_service = unserialize($_USER['shorter_service']);

foreach ($allowed_shorters as $service) {
	if ($service == '3.ly') {
		if (!defined('THREELY_APICODE')) continue;
		else {
			if (!strlen(THREELY_APICODE)) continue;
		}
	}
	
	echo '<option value="'.$service.'"';

	if ($shorter_service['service'] == 'default' && ($service == DEFAULT_SHORTER_SERVICE)) echo ' selected';
	elseif ($shorter_service['service'] == $service) echo ' selected';
	echo '>';
	if (array_key_exists($service, $names)) echo $names[$service];
	else echo $service;
	
	if ($shorter_service['service'] == 'default' && ($service == DEFAULT_SHORTER_SERVICE)) echo ' '.__('(default)');
	echo '</option>';
}

echo '</select>
<br />
<br />
<p>'.__('current password').' <strong>'.__('(needed)').'</strong><br /><input name="current_password" type="password" class="input" tabindex="10"/> </p>
<br />
<p><input type="submit" value="'.__('Save').'" class="submit" tabindex="11"/></p>
</form>
<br />
<a href="drop" tabindex="12"><strong>'.__('Delete account').'</strong></a>';
}

function doCustomizeForm() {
	global $_USER;
	global $globals;
	echo '<h1 class="user" style="font-family:Arial;letter-spacing:-1px">'.__('Customize').'</h1><br />';
	doProfileTags();
	echo '
<br />
<form method="POST" action="'.BASE.'settings/customize" enctype="multipart/form-data">
'.__('Theme').' <br />
<SELECT name="theme" class="listbox">';
	foreach ($globals['themes'] as $theme) {
		echo '<option name="theme" value="'.$theme.'"';
		if($_USER['theme'] == $theme) echo ' selected';
		echo '>'.ucfirst(str_replace('_', ' ', $theme)).'</option>';
	}
	echo '
</select>
<br /><br />
<p style="height:6px"></p>

<div style="float:right"><p class="second_col">'.__('Background style').'<br /><SELECT name="style" class="listbox">';
$styles = array('normal'=>__('Normal'), 'repeat'=>__('Repeat'), 'centered'=>__('Centered'), 'fixed'=>__('Fixed'));

foreach ($styles as $key=>$value) {
	echo '<option name="theme" value="'.$key.'"';
	if ($_USER['background_style'] == $key) echo ' selected';
	echo '>'.$value.'</option>';
}

echo '</select>
</p></div>';

echo __('Background').'<br /><p><input name="background" class="input" type="file" /></p>
<small>'.__('1 MB max. size, jpg/png/gif format').'</small>

<br /><br />
<p style="height:6px"></p>
<p>
<p><input type="submit" value="'.__('Save').'" class="submit" /> <span style="padding-left:10px;font-weight:600"><a href="?action=delete&auth='.md5($_USER['salt']).'">'.__('Delete background').'</a></span></p>
</form>';
}

function doTwitterForm() {
	global $_USER;
	echo '<h1 class="user" style="font-family:Arial;letter-spacing:-1px">'.__('Twitter').'</h1><br />';
	doProfileTags();
	if (empty($_USER['twitter_username']) or empty($_USER['twitter_password'])) $disabled = true;
	else $disabled = false;
	echo '
<br />
<p><img src="'.BASE.'static/img/logos/logo_twitter.png" alt="Twitter" /></p>
<br />
<form action="'.BASE.'settings/twitter" method="post" autocomplete="off">
<p>'.__('username').'<br /><input name="twitter_username" type="text" value="'.$_USER['twitter_username'].'" class="input" /> </p>
<p style="height:6px"></p>
<p>'.__('password').'<br /><input name="twitter_password" type="password" class="input" ';
if (!$disabled) echo 'value="************" ';
echo '/> </p>
<p><input type="hidden" name="auth" value="'.md5($_USER['salt']).'" id="hiddenkey" /></p>';

echo '<p style="height:6px"></p><p style="height:6px"></p>
<p><input type="checkbox" name="show_twits" ';
if(!$disabled and $_USER['show_twits'] == '1') echo 'checked="checked" '; elseif($disabled) echo 'disabled="disabled" ';
echo '/> '.__('Show tweets in the friends tab').'</p>
<p><input type="checkbox" name="post_tweets" ';
if(!$disabled and $_USER['post_tweets'] == '1') echo 'checked="checked" '; elseif($disabled) echo 'disabled="disabled" ';
echo '/> '.__('Post Jisko notes to Twitter').'</p>
<p style="height:6px"></p><p><input type="submit" value="'.__('Save').'" class="submit"/><span style="padding-left:10px;font-weight:600"><a href="?action=delete&auth='.md5($_USER['salt']).'">'.__('Delete twitter integration with').' '.NAME.'</a></span></p>
</form>';

}

function doIgnoresForm() {
	global $_USER;
	echo '<h1 class="user" style="font-family:Arial;letter-spacing:-1px">'.__('Ignored users').'</h1><br />';
	doProfileTags();
	echo '
<br />';
	if (count($_USER['ignored']) == 0) {
		echo showStatus(__('You are not ignoring anyone'), 'warning');
	}
	else {
		echo '<div id="note_list">';
		foreach ($_USER['ignored'] as $followers) showUser($followers);
		echo '</div>';
	}
}

function doDropForm() {
	global $_USER;
	echo '
<div class="header_title">'.__('Delete account').'</div>
<p>'.str_replace('%name', NAME, __('In order to delete your account from %name, you have to enter you password in the next form. Then you will receive an email with the
instructions to complete the process.')).'</p>
<br /><br />
<form action="'.BASE.'settings/drop" method="post">
<p>'.__('type your password').'<br /><input name="password" type="password" class="input" /> </p>
<p><input name="submit" type="submit" value="'.__('Delete it!').'" class="submit" /></p>
</form>';
}

function doForgotForm() {
	$text = '<form name="forgot" action="'.BASE.'trouble_login?forgot" method="post" style="width:250px">
<div class="header_title">'.__('Recover password...').'</div>
<p>'.__('You can recover your password just typing your email or your username. An email will be delivered to the linked account').'</p><br />
<input type="radio" name="group" value="username" checked> '.__('Username').'<br /><input type="radio" name="group" value="email"> '.__('Email').'<br />
<input class="input_reduced" name="content" type="text" />';
 	$text .= '<br /><br /><p><input name="btforgot" class="submit" type="submit" value="'.__('Recover my password').'">';
	$text .= '</p></form>';
	return $text;
}

function doResendMailForm() {
	return '<form name="resend" action="'.BASE.'trouble_login?resend" method="post" style="width:250px">
	<div class="header_title">'.__('Resend activation mail...').'</div>
<p>'.__('If you didnt receive your activation email, you can try resending it from here. Just typing your username').'</p><br /><br />
<p>'.__('Username').'<br /><input class="input_reduced" name="user" type="text" /></p><br />
<p><input name="btforgot" class="submit" type="submit" value="'.__('Resend email').'"/></p>
</form>';
}

function doTroubleLoginForm() {
	echo '
	<div>
		<div style="float:right;">
		'.doResendMailForm().'
		</div>
		'.doForgotForm().'
	</div>
	';
}

?>