<?php
# Jisko: An open-source microblogging application
# Copyright (C) 2010 Rubén Díaz <outime@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

global $db;
global $_USER;

if(!$_USER['ID']) die;

if (isset($_GET['p'])) $start = getStart($_GET['p']); else $start = getStart(1);

define('TITLE', __('Following'));

$result = $db->getFollowing($_USER['ID'], $start, NOTES_PER_PAGE);
echo '<div class="header_title">'.__("People I'm following").'</div>';
echo '<div id="note_list">';

if (count($result) == 0) echo showStatus(__('No users were found'), 'warning');
else foreach ($result as $following) showUser($following['ID']);
	
echo '</div>';
	
echo getPaginationString('following', $db->countFollowing($_USER['ID']), $_GET['p'], NOTES_PER_PAGE, 1, '?p=');
