<?php
# Jisko: An open-source microblogging application
# Copyright (C) 2010 Rubén Díaz <outime@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

global $_USER;
global $db;

$extra = EXTRA;
$explode_extra = explode('-', $extra);
echo '<div class="sn"><strong>'.__('Note').' #'.$extra;
if ($explode_extra[0] == 'twit') echo ' (twitter)';
echo '</strong>';
echo '<table class="n">';
if (!$extra) {
	echo '<tr><td>'.__('No notes were found').'</td></tr>';
	die();
}
else {
	if ($explode_extra[0] == 'twit') {
		if (!$explode_extra[1]) {
			echo '<tr><td>'.__('No notes were found').'</td></tr>';
			die();
		}
		else {
			$result = $db->getTwit($explode_extra[1]);
			$seriala = unserialize(stripslashes($result['serial']));
		}
	}
	else $result = $db->getNoteCombined($extra);
	if (!$result) {
		echo '<tr><td>'.__('No notes were found').'</td></tr>';
		die();
	}
	else {
		extract($result);
		if ($explode_extra[0] == 'twit') $username = $seriala['username'];
		echo '<tr><td id="not" onclick="history.go(-1);" style="padding-left:40px;background:#FFFFFF url('.BASE.'static/img/m/m_list_arrowi.jpg) no-repeat scroll left center;border-bottom:0px"><a href="'.MBASE.'user/'.$username.'" class="user">';
		if ($explode_extra[0] == 'twit') echo $username.' (twitter)';
		else echo $username;
		echo '</a> ';
		
		$note = utf8_htmlentities($note);
		$note = preg_replace_callback('/\[(\*|\/|_|\-)(.+)\]/U',
				create_function('$matches', '
					switch ($matches[1]) {
						case "*":
							return "<b>" . $matches[2] . "</b>";
						case "/":
							return "<i>" . $matches[2] . "</i>";
						case "_":
							return "<u>" . $matches[2] . "</u>";
						case "-":
							return "<s>" . $matches[2] . "</s>";
					}
			'), $note);
		
		$note = preg_replace('/(?:[\w^_]{3,}:\/\/)(?:(?:[\w^_]{2,}\.)?[\w\-]{2,}(?:\.[\w^_]{2,})+){1}[^\s\[\]\(\)<>,";\.]*(?:\.\w+)*[^\s\[\]\(\)<>,";\.]*/', '<a href="$0" rel="external" class="external">$0</a>', $note);
		$note = preg_replace('/(\s|\A)(@){1}(\w+)/', '$1<a href="'.BASE.'ajax/note?mode=mi&nav=link&id='.$timestamp.'-$3">$2$3</a>', $note);
		
		echo '<span id="nt">'.put_smileys(trim($note)).'</span> <em class="t">'.showTimeAgo($timestamp).'</em></td></tr>';
		echo '</table>';
		if ($_USER) { 
			echo '<script>function fav(st){var dc=document.getElementById(\'fav\');dc.innerHTML=\''.__('Wait...').'\';var ajax=new XMLHttpRequest();ajax.open("GET","'.BASE.'ajax/favorite?id='.$ID.'",true);ajax.setRequestHeader("Content-Type","charset=UTF-8");ajax.send(null);ajax.onreadystatechange=function(){if(ajax.readyState==4){if(ajax.status==200){if(st==0){dc.innerHTML=\'<img src="'.BASE.'static/img/m/heart.png">\';dc.attributes[\'href\'].nodeValue=\'javascript:fav(1)\';}else{dc.innerHTML=\''.__('Favorite').'\';dc.attributes[\'href\'].nodeValue=\'javascript:fav(0)\';}}else{alert(\''.__('There was an error while trying to favoritize the note').'\');if(st==0){dc.innerText=\''.__('Favorite').'\';}else{dc.innerHTML=\'<img src="'.BASE.'static/img/m/heart.png">\';}}}};}function RT(){document.getElementById(\'ni\').innerText=\'RT @'.$username.' "\'+document.getElementById(\'nt\').innerText+\'"\';count();}';
			if ($type == 'private' || ($type == 'private_sent')) {
				echo 'function RP(t) {';
				echo 'document.getElementById(\'ni\').innerText=\'!';
				if ($type == 'private') echo $username;
				else echo $to;
				echo '\';count();}';
			}
			elseif ($type == 'twitter' || ($type == 'twitter_reply')) {
				echo 'function RP(t) {';
				echo 'document.getElementById(\'ni\').innerText=\'%'.$username.'\';count();}';
			}
			elseif ($type == 'public') {
				echo 'function RP(t) {';
				echo 'document.getElementById(\'ni\').innerText=\'@'.$username.'\';count();}';
			}
			echo '</script>';
			echo '<br>';
			echo '<div id="bot">';
			if ($type == 'public' || ($type == 'twitter' || ($type == 'twitter_reply'))) {
				echo '<a href="javascript:';
				if ($type == 'public') echo 'RT(0)';
				else echo 'RT(1)';
				echo '">'.__('ReTweet').'</a>';
			}
			echo ' <a style="background: url('.BASE.'static/img/m/confirm_bg.jpg);color:white;" href="javascript:';
			if ($type == 'public') echo 'RP(0)'; elseif ($type == 'private') echo 'RP(1)';
			if ($type == 'twitter' || ($type == 'twitter_reply')) echo 'RP(2)';
			echo '">'.__('Reply').'</a> ';
			if ($type == 'public') {
				if (!$db->checkFavorite($_USER['user_id'],$extra)) echo '<a id="fav" href="javascript:fav(0)">'.__('Favorite').'</a></div>';
				else echo '<a id="fav" href="javascript:fav(1)"><img src="'.BASE.'static/img/m/heart.png"></a></div>';
			}
		}
	}
}
echo '</div></div>';
?>