<?php
# Jisko: An open-source microblogging application
# Copyright (C) 2010 Rubén Díaz <outime@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

global $_USER;
global $db;

if (!EXTRA) die();

$extra = EXTRA;
if (!$userInfo) {
	echo '<strong>'.__('Not found').'</strong>';
}
else {
	if ($_USER && $userInfo['ID'] != $_USER['ID'] && $userInfo['private'] == '1') {
		if($db->checkFollowing($userInfo['ID'], $_USER['ID'])) {
			define('VIEWABLE', 1);
		}
	} elseif($userInfo['private'] == '0') define('VIEWABLE', 1);
	if(!defined('VIEWABLE')) {
		echo '<strong>';
		echo __('Not allowed');
		echo '</strong>';
		echo '<br />';
		echo __('You aren\'t allowed to see this user\'s profile.');
	}
	else {
	    echo '<script>function fl(st){var dc=document.getElementById(\'fll\');dc.innerText=\''.__('Wait...').'\';var ajax=new XMLHttpRequest();ajax.open("POST","'.BASE.'ajax/follow",true);ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded; charset=UTF-8");ajax.onreadystatechange=function(){if(ajax.readyState==4){if(ajax.status==200){if(st==0){dc.innerText=\''.__('UnFollow').'\';dc.attributes[0].nodeValue=\'javascript:fl(1)\';}else{dc.innerText=\''.__('Follow').'\';dc.attributes[0].nodeValue=\'javascript:fl(0)\';}}else{alert(\''.__('There was an error while trying to follow the user.').'\');if (st==0){dc.innerText=\''.__('Follow').'\';}else{dc.innerText=\''.__('UnFollow').'\';}}}};ajax.send("&who='.$userInfo['ID'].'");} function ig(st){var dc=document.getElementById(\'igg\');dc.innerText=\''.__('Wait...').'\';var ajax=new XMLHttpRequest();ajax.open("POST","'.BASE.'ajax/ignore",true);ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded; charset=UTF-8");ajax.onreadystatechange=function(){if(ajax.readyState==4){if(ajax.status==200){if(st==0){dc.innerText=\''.__('UnIgnore').'\';dc.attributes[0].nodeValue=\'javascript:ig(1)\';}else{dc.innerText=\''.__('Ignore').'\';dc.attributes[0].nodeValue=\'javascript:ig(0)\';}}else{alert(\''.__('There was a problem while trying to ignore the user').'\');if (st==0){dc.innerText=\''.__('Ignore').'\';}else{dc.innerText=\''.__('UnIgnore').'\';}}}};ajax.send("&who='.$userInfo['ID'].'");}</script>';
		$result = $db->getNotes('archive', getStart(1), NOTES_PER_PAGE, $userInfo['ID']);
		if (!$userInfo['avatar']) $avatar = BASE.'static/img/avatar/default_note.png'; else $avatar = get_avatar_url($userInfo['username'], $userInfo['avatar'], 'note');
		echo '<div class="sn"><strong>'.str_replace('%s', $extra, "%s's profile").'</strong></div><br><div id="bot"><div id="ui">';
		echo '<img src="'.$avatar.'" style="-webkit-border-radius: 5px"><h1 style="padding-bottom:5px">';
		if ($userInfo['realname']) echo $userInfo['realname']; else echo $extra;
		echo '</h1>';
		echo '</div>';
		if ($_USER) {
			if (!$db->checkFollowing($_USER['ID'],$userInfo['ID'])) echo '<a href="javascript:fl(0)" id="fll">'.__('Follow').'</a>';
			else {
				if ($db->checkFollowing($userInfo['ID'], $_USER['ID'])) $dm = true;
				echo '<a href="javascript:fl(1)" id="fll">'.__('Unfollow').'</a>';
			}
			if (in_array($userInfo['ID'], $_USER['ignored'])) echo ' <a href="javascript:ig(1)" id="igg">'.__('UnIgnore').'</a>';
			else echo ' <a href="javascript:ig(0)" id="igg">'.__('Ignore').'</a>';
			echo ' <a href="'.MBASE.'report/'.$extra.'" style="color:white;background:url('.BASE.'static/img/m/warn_bg.jpg);">'.__('Report').'</a>';
			if ($dm) {
				echo '<script>function dm() {';
				echo 'document.getElementById(\'ni\').innerText=\'!'.$extra;
				echo '\';count();}';
				echo '</script>';
				echo '<br><br><br><a href="javascript:dm()" id="dmm" style="padding-top:10px;padding-left:50px;padding-right:50px;background:url('.BASE.'static/img/m/confirm_bg.jpg);color:white">'.__('Send private message').'</a>';
			}
			}
		echo '</div>';
		echo '<table class="n">';
		if (count($result)) foreach ($result as $row) showNoteMobileiPhone($row);
		else echo '<tr><td>' . __('No notes were found') . '</td></tr>';
		echo '</table>';
		
		if ($db->countNotes('archive', $userInfo['ID']) > NOTES_PER_PAGE) echo getPaginationStringMobileiPhone($extra);
	}
}

?>