<?php
# Jisko: An open-source microblogging application
# Copyright (C) 2010 Rubén Díaz <outime@gmail.com>
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

global $_USER;
global $db;

if(!$_USER) die;
echo '<div class="sn"><strong>'.__('Friends').'</strong><br><br>';

$result = $db->getFollowing($_USER['ID'], 0, $db->countFollowing($_USER['ID']));
if (count($result)) {
    foreach ($result AS $user) {
        echo '<a href="'.MBASE.'user/'.$user['username'].'">';
        if (!$user['avatar']) echo '<img src="'.BASE.'static/img/avatar/default_note.png">';
        else echo '<img src="'.get_avatar_url($user['username'], $user['avatar'], 'note').'">';
        echo '</a>';
    }
}
else echo __('You are not following anyone');
echo '</div>';

?>